//
// C++ Interface:
//
// Description:
//
//
// Author: Trenton Carr <trenton.carr@gmail.com>, (C) 2005
//
// Copyright: See COPYING file that comes with this distribution
//
//

#ifndef TRIGGRAPH_H
#define TRIGGRAPH_H

#include "ui_TrigGrapherD.h"
//Added by qt3to4:
#include <QPaintEvent>

class KPlotWidget;

class TrigGraph : public TrigGrapherD
{
    Q_OBJECT

public:
    TrigGraph(QWidget* parent = 0, const char* name = 0, WFlags fl = 0 );
    ~TrigGraph();

public slots:
    virtual void slotUpdateTrigGraph();

protected:
    virtual void paintEvent( QPaintEvent* );

private:
    void initObjects();
    KPlotWidget *pw;
};

#endif
